Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_TieProperty

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_SystemObject

                        |

                        +--oracle.ifs.server.S_TieSystemObject

                              |

                              +--oracle.ifs.server.S_Property

                                    |

                                    +--oracle.ifs.server.S_TieProperty

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

public class S_TieProperty
extends S_Property

An S_TieProperty allows the Oracle-defined behavior of the PROPERTY classobject (and its subclasses) to be extended or overridden through the server extensibility API.

See Also:
  `S_Property`

Constructor Summary
`protected` | `S_TieProperty(S_LibrarySession session, java.lang.Long classId)` Constructs an S_TieProperty for a new PROPERTY.
`protected` | `S_TieProperty(S_LibrarySession session, S_LibraryObjectData data)` Constructs an S_TieProperty for an existing PROPERTY.

Methods inherited from class oracle.ifs.server.S_Property
`deriveDefinition, extendedPreInsert, extendedPreUpdate, getPropertyValue, handleEvent`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, extendedPreFree, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, hasNameAttribute, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_TieProperty

    protected S_TieProperty(S_LibrarySession session,
                            S_LibraryObjectData data)
                     throws IfsException

  Constructs an S_TieProperty for an existing PROPERTY.
  Parameters:
    `session` - the session
    `data` - the data
  Throws:
    `IfsException` - if the operation fails

### S_TieProperty

    protected S_TieProperty(S_LibrarySession session,
                            java.lang.Long classId)
                     throws IfsException

  Constructs an S_TieProperty for a new PROPERTY.
  Parameters:
    `session` - the session
    `classId` - the class id
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD